<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>

    // PART 1
    // List of people retrieved from a "file" line by line
    const file = [
        "susan,doe,30,blue",
        "john,doe,34,green",
        "mark,doe,27,blue",
    ]

    // Array of arrays
    const aoa = []

    // For every element of our original array, we create a new array 
    // that results from the splitting of the element itself
    for (let element of file) {
        const splitted = element.split(",")
        aoa.push(splitted)
    }

    // PART 2
    // Array of people
    const aop = []
    // For every element of the aoa array, we create a new object for a person and add
    // all the properties. Then we push the object in the aop array
    for (let element of aoa) {
        const person = {
            name: element[0],
            surname: element[1],
            age: +element[2],
            eyesColor: element[3],
        }
        aop.push(person)
    }



    // PART 3
    // We create the array that will contain only the filtered elements
    const filtered = []
    // For every element of our aop array, we check if the condition is respected
    for (let element of aop) {
        if (element.age >= 30) {
            filtered.push(element)
        }
    }

    console.log(filtered)

</script>

</html>